Talk:Manual Compilation of C Sharp Unity Scripts

From Unify Community Wiki
Jump to: navigation, search

This page no longer seems to work with Unity 3.5

At a glance, I don't think any of this stuff has changed lately. Do you have the full version of Mono.framework installed? If you don't have the tools set up properly, you won't be able to use the gmcs command. Alternatively, you can call Unity's copy of gmcs, but you'll need to add it to your shell's path or specify the full path to it. --NCarter (talk) 21:53, 4 October 2012 (CEST)

On Windows 7, with Unity 3.5.6, I couldn't get Editor\Data\Mono\lib\mono\2.0\gmcs.exe to work, but MonoBleedingEdge\lib\mono\2.0\mcs.exe *did* work.

Personal tools
Namespaces

Variants
Actions
Navigation
Extras
Toolbox